Skip to main content
Operations Management/Tenant Management (Plus)/SSO Operations
GETSSO OperationsSince 3.5.1SynchronousAuth Required

QueryIAM2LdapBinding

QueryIAM2LdapBinding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • ldapUidStringRequired

      The AD/LDAP entry UUID.

    • ldapServerUuidStringRequired

      The AD/LDAP server UUID.

    • resourceUuidStringRequired

      The UUID of the associated resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/iam2/ldap/bindings

/zstack/v1/iam2/ldap/bindings

Operation ID

QueryIAM2LdapBinding

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/iam2/ldap/bindings' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "5e66b22cb6d33a87802d12b4ee280f64", "ldapUid": "ou\u003dEmployee,uid\u003dtest", "ldapServerUuid": "03f1ff7e314232ebbb365c7fc62878f3", "resourceUuid": "3946f8a48c6d320fbddd0e6c0c30c281" } ] }

Change History

This API has no change history records yet.

View all change history